Get an arrangement
curl --request GET \
--url https://slc.sandbox.lerian.net/v1/participants/{id}/arrangements/{arrangementId} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://slc.sandbox.lerian.net/v1/participants/{id}/arrangements/{arrangementId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://slc.sandbox.lerian.net/v1/participants/{id}/arrangements/{arrangementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://slc.sandbox.lerian.net/v1/participants/{id}/arrangements/{arrangementId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"active": true,
"code": "VCC",
"createdAt": "2026-06-15T07:50:00Z",
"id": "0190b5a0-0000-7000-8000-0000000000bb",
"participantId": "0190b5a0-0000-7000-8000-0000000000aa",
"role": "ACQUIRER",
"updatedAt": "2026-06-15T07:50:00Z"
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Get an arrangement
Returns an arrangement by id, scoped to its participant and the request tenant. 404 when the arrangement does not exist.
GET
/
v1
/
participants
/
{id}
/
arrangements
/
{arrangementId}
Get an arrangement
curl --request GET \
--url https://slc.sandbox.lerian.net/v1/participants/{id}/arrangements/{arrangementId} \
--header 'Authorization: Bearer <token>'package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://slc.sandbox.lerian.net/v1/participants/{id}/arrangements/{arrangementId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://slc.sandbox.lerian.net/v1/participants/{id}/arrangements/{arrangementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://slc.sandbox.lerian.net/v1/participants/{id}/arrangements/{arrangementId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"active": true,
"code": "VCC",
"createdAt": "2026-06-15T07:50:00Z",
"id": "0190b5a0-0000-7000-8000-0000000000bb",
"participantId": "0190b5a0-0000-7000-8000-0000000000aa",
"role": "ACQUIRER",
"updatedAt": "2026-06-15T07:50:00Z"
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}{
"correlationId": "req-7a3f9c2e",
"code": "<string>",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example",
"upstream": {
"code": "E4001",
"message": "account not found at provider"
}
}Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Owning participant id (UUID).
Example:
"0190b5a0-0000-7000-8000-0000000000aa"
Arrangement id (UUID).
Example:
"0190b5a0-0000-7000-8000-0000000000bb"
Response
OK
Whether the arrangement is active.
Example:
true
Card-scheme arrangement code.
Example:
"VCC"
Creation timestamp (RFC3339 UTC).
Example:
"2026-06-15T07:50:00Z"
Arrangement id (UUID).
Example:
"0190b5a0-0000-7000-8000-0000000000bb"
Owning participant id (UUID).
Example:
"0190b5a0-0000-7000-8000-0000000000aa"
Participant role for this arrangement.
Example:
"ACQUIRER"
Last-update timestamp (RFC3339 UTC).
Example:
"2026-06-15T07:50:00Z"
Was this page helpful?

